You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@openoffice.apache.org by ji...@apache.org on 2017/09/21 17:29:03 UTC

svn commit: r1809184 - in /openoffice/devtools/build-scripts/4.1.4: unxlngi6/build_aoo32bit_on_centos5.sh unxlngix6/build_aoo64bit_on_centos5.sh unxmacos/build_aooreleases.sh

Author: jim
Date: Thu Sep 21 17:29:03 2017
New Revision: 1809184

URL: http://svn.apache.org/viewvc?rev=1809184&view=rev
Log:
Some build improvements

Modified:
    openoffice/devtools/build-scripts/4.1.4/unxlngi6/build_aoo32bit_on_centos5.sh
    openoffice/devtools/build-scripts/4.1.4/unxlngix6/build_aoo64bit_on_centos5.sh
    openoffice/devtools/build-scripts/4.1.4/unxmacos/build_aooreleases.sh

Modified: openoffice/devtools/build-scripts/4.1.4/unxlngi6/build_aoo32bit_on_centos5.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.1.4/unxlngi6/build_aoo32bit_on_centos5.sh?rev=1809184&r1=1809183&r2=1809184&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.1.4/unxlngi6/build_aoo32bit_on_centos5.sh (original)
+++ openoffice/devtools/build-scripts/4.1.4/unxlngi6/build_aoo32bit_on_centos5.sh Thu Sep 21 17:29:03 2017
@@ -9,7 +9,11 @@ wget -O external/unowinreg/unowinreg.dll
 
 LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es eu fi fr gd gl he hi hu it ja km ko lt nb nl pl pt pt-BR ru sk sl sr sv ta th tr vi zh-CN zh-TW"
 
-autoconf && ./configure   \
+if [ ! -e configure -o configure.in -nt configure ] ; then
+	echo "Running autoconf..."
+	autoconf || exit 1
+fi
+./configure   \
 	--with-build-version="$(date +"%Y-%m-%d %H:%M") - `uname -sm`" \
 	--enable-verbose \
 	--with-system-stdlibs \
@@ -32,7 +36,7 @@ autoconf && ./configure   \
 source ./LinuxX86Env.Set.sh || exit 1
 ./bootstrap || exit 1
 cd instsetoo_native
-time perl "$SOLARENV/bin/build.pl" --all -P2 -- -P2 || exit 1
+time build --all -- -P4 || exit 1
 cd util
 dmake ooolanguagepack || exit 1
 dmake sdkoo_en-US || exit 1 

Modified: openoffice/devtools/build-scripts/4.1.4/unxlngix6/build_aoo64bit_on_centos5.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.1.4/unxlngix6/build_aoo64bit_on_centos5.sh?rev=1809184&r1=1809183&r2=1809184&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.1.4/unxlngix6/build_aoo64bit_on_centos5.sh (original)
+++ openoffice/devtools/build-scripts/4.1.4/unxlngix6/build_aoo64bit_on_centos5.sh Thu Sep 21 17:29:03 2017
@@ -9,7 +9,11 @@ wget -O external/unowinreg/unowinreg.dll
 
 LANGS="ast bg ca ca-XR ca-XV cs da de el en-GB en-US es eu fi fr gd gl he hi hu it ja km ko lt nb nl pl pt pt-BR ru sk sl sr sv ta th tr vi zh-CN zh-TW"
 
-autoconf && ./configure   \
+if [ ! -e configure -o configure.in -nt configure ] ; then
+	echo "Running autoconf..."
+	autoconf || exit 1
+fi
+./configure   \
 	--with-build-version="$(date +"%Y-%m-%d %H:%M") - `uname -sm`" \
 	--enable-verbose \
 	--with-system-stdlibs \
@@ -32,7 +36,7 @@ autoconf && ./configure   \
 source ./LinuxX86-64Env.Set.sh || exit 1 
 ./bootstrap || exit 1
 cd instsetoo_native
-time perl "$SOLARENV/bin/build.pl" --all -P2 -- -P2 || exit 1
+time build --all -- -P4 || exit 1
 cd util
 dmake ooolanguagepack || exit 1
 dmake sdkoo_en-US || exit 1 

Modified: openoffice/devtools/build-scripts/4.1.4/unxmacos/build_aooreleases.sh
URL: http://svn.apache.org/viewvc/openoffice/devtools/build-scripts/4.1.4/unxmacos/build_aooreleases.sh?rev=1809184&r1=1809183&r2=1809184&view=diff
==============================================================================
--- openoffice/devtools/build-scripts/4.1.4/unxmacos/build_aooreleases.sh (original)
+++ openoffice/devtools/build-scripts/4.1.4/unxmacos/build_aooreleases.sh Thu Sep 21 17:29:03 2017
@@ -70,15 +70,33 @@ fi
 
 if [ -z "$JAVA_HOME" ] ; then
 	JAVA_HOME=$(/usr/libexec/java_home -v 1.7)
-	export JAVA_HOME
-	echo "Setting JAVA_HOME to $JAVA_HOME..."
 fi
+if [ ! -d "$JAVA_HOME" ] ; then
+    echo "JAVA_HOME not found: $JAVA_HOME"
+    exit 1
+fi
+export JAVA_HOME
+echo "JAVA_HOME is: $JAVA_HOME..."
 
 if [ -z "$ANT_HOME" ] ; then
 	ANT_HOME=/usr/local/share/java/apache-ant
-	export ANT_HOME
-	echo "Setting ANT_HOME to $ANT_HOME..."
 fi
+if [ ! -d "$ANT_HOME" ] ; then
+    echo "ANT_HOME not found: $ANT_HOME"
+    exit 1
+fi
+export ANT_HOME
+echo "ANT_HOME is: $ANT_HOME..."
+
+if [ -z "$JUNIT_PATH" ] ; then
+	JUNIT_PATH=/usr/local/share/java/junit.jar
+fi
+if [ ! -e "$JUNIT_PATH" ] ; then
+    echo "JUNIT_PATH not found: $JUNIT_PATH"
+    exit 1
+fi
+export JUNIT_PATH
+echo "JUNIT_PATH is: $JUNIT_PATH..."
 
 if [ ! -e external/unowinreg/unowinreg.dll ] ; then
 	echo "Downloading unowinreg.dll..."
@@ -99,7 +117,7 @@ fi
 	--enable-category-b \
 	--enable-bundled-dictionaries \
 	--enable-wiki-publisher \
-	--with-junit="/usr/local/share/java/junit.jar" \
+	--with-junit="$JUNIT_PATH" \
 	--with-jdk-home="$JAVA_HOME" \
 	--with-ant-home="$ANT_HOME" \
 	--with-epm=/usr/local/bin/epm \
@@ -114,7 +132,7 @@ fi
 ./bootstrap || exit 1
 source ./MacOSXX64Env.Set.sh || exit 1
 cd instsetoo_native
-time perl "$SOLARENV/bin/build.pl" --all -P2 -- -P2 || exit 1
+time build --all -- -P4 || exit 1
 cd util
 dmake ooolanguagepack || exit 1
 dmake sdkoo_en-US || exit 1